Comment 70 for bug 1850651

The easy thing first: TB 60.9.0 will not work (but TB 60.9.1 will).

We just found out that some distributions may have built "Provider for Google Calendar" from the wrong repository :-(

The correct add-on can be obtained here: https://addons.thunderbird.net/en-GB/thunderbird/addon/provider-for-google-calendar/

It's also called 68.2.1 but is may be different. If you're able to open/unpack the XPI file which is just a ZIP file, check the following file:
Open modules/OAuth2.jsm and check line 26: Do you have the working version which reads: `result[key] = decodeURIComponent(value);` ?